Add a "uploads" link to Special:MyUploads at the top right next to "contributions"
Closed, ResolvedPublic

Description

Author: rd232

Description:
Following discussion at Commons, there was much support for adding a "my uploads" link to Special:MyUploads (i.e. Special:ListFiles/user) at the top right next to "my contributions". This is now being done with Javascript, but it would be useful to have for all users, and without the delay of waiting for Javascript to kick in. https://secure.wikimedia.org/wikipedia/commons/w/index.php?title=Commons:Village_pump/Proposals&oldid=59445831#Support

So this bug requests a new global option in MediaWiki to show such a link, along with a linked per-user preference option to turn it off. It will be most useful for image repository wikis, but others might use it too. Once the option exists, a separate bug will request turning the option on for Commons.


Version: unspecified
Severity: enhancement

bzimport set Reference to bz30915.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Sep 15 2011, 3:13 PM
brion added a comment.Sep 15 2011, 6:20 PM

I think it may be better conceptually to merge both lists into a more useful common contributions display that shows you both.

rd232 wrote:

@brion: in the long run, a Contributions list that handles both text and files might be best, though given how different the needs of those are I'm not entirely convinced. But in any case that's such a vastly more ambitious task than this bug, it's not even funny...

And I would think improving Special:ListFiles in the direction of the new Commons Javascript https://secure.wikimedia.org/wikipedia/commons/w/index.php?title=Special:MyGallery&withJS=MediaWiki:JSONListUploads.js would be a rather higher priority than a merger.

msg4rahul wrote:

Hi all,

I came here from OpenHatch.org, and is in search of opportunities to contribute to FOSS. I chose MediaWiki because I know PHP, JavaScript, HTML and CSS. I have no experience at all in contributing to FOSS yet, but would like to get started. I would really appreciate if someone here can help me in getting started by pointing me to a easy bug. Really looking forward to your reply.

Thanks,
Rahul

ashishmittal.mail wrote:

Hello,

I would like to attempt to solve this issue. Kindly suggest what should be my
approach for solving this bug.

Thanks,
Aashish

Patch to show MyUploads on personal bar based on preference

Please check if anything more needs to be done for this patch.

Thanks!

Attached: ShowMyUploads.patch

sumanah wrote:

Hey Srikanth, now that you have a Git/Gerrit login, go ahead and submit this patch via Git! Instructions: https://www.mediawiki.org/wiki/Git/Workflow

Thanks.

Comment on attachment 10252
Patch to show MyUploads on personal bar based on preference

  • Why is it using $wgRequest->getText( 'title' ) in the portlet links? Shouldn't they be the same on all pages ?
  • Special:ListFiles is not a reliable way to determine contributions
  • If anything, this should not be a preference but the default. A preference for this makes zero sense to me. If people don't like it, that's their problem. Either we come up with a reliable page for file contributions and link to it. Or we don't.

Note that there is currently a gadget in use on some wikis that adds this link.

rd232 wrote:

  • If anything, this should not be a preference but the default. A preference for this makes zero sense to me. If people don't like it, that's their problem. Either we come up with a reliable page for file contributions and link to it. Or we don't.

Opt-in or opt-out, we shouldn't force it on people (and whether it's opt-in or opt-out should be controllable sitewide, really). It's most useful on Commons; on other projects, most users won't want such a prominent link to uploaded files because they don't upload files (some projects even have local uploads disabled after all).

(In reply to comment #7)

Special:ListFiles is not a reliable way to determine contributions

Yes, but MediaWiki does not offer a better one, currently. Does it? Special:MyUploads is a redirect to Special:ListFiles/<username>

Nope, probably not any time soon until the whole media stuff is being refactored (bug 30607, bug 26741, bug 31257, ..)

(In reply to comment #10)

(In reply to comment #7)
> Special:ListFiles is not a reliable way to determine contributions
Yes, but MediaWiki does not offer a better one, currently. Does it?
Special:MyUploads is a redirect to Special:ListFiles/<username>

Indeed, not until bug 30607 is fixed. Which has other dependencies which have dependencies.

(In reply to comment #10)

Special:MyUploads is a redirect to Special:ListFiles/<username>

I find that somewhat misleading. ListFiles does not and is not intended for listing file by author. Merely by uploader of a revision. It is like creating Special:MyPages to redirect to Special:Contributions/<username>.

It is too late to remove Special:MyUploads (in its current form). But that is no reason to spread that wrong assumption further. Right now Special:ListFiles is basically just a subset of Special:Contributions (since file uploads also create null-edits in page history/contributions) on the file-namespace with thumbnails next to it. A link "My uploads" to that is wrong.

Also, for future patch contributors: It needs to check whether the wiki has uploads enabled in the first place. Not all wikis have this enabled.

rd232 wrote:

(In reply to comment #12)

(In reply to comment #10)
> Special:MyUploads is a redirect to Special:ListFiles/<username>

I find that somewhat misleading. ListFiles does not and is not intended for
listing file by author. Merely by uploader of a revision. It is like creating
Special:MyPages to redirect to Special:Contributions/<username>.

It's better than nothing. On Commons MediaWiki:Listfiles-summary http://commons.wikimedia.org/wiki/MediaWiki:Listfiles-summary has been amended to point out the limitation that the listing only shows files where the user has uploaded the most recent revision.

All we're asking for here is a better implementation of what Commons has already decided to do (since doing it in JS causes a visible change in the UI during pageload). The global option can default to "off" - no other projects or sites need to worry about it until ListFiles does what we'd really like it to do.

Rillke added a comment.Sep 5 2012, 8:49 PM

(In reply to comment #13)

It needs to check whether the wiki has uploads enabled in the first place. Not all wikis have this enabled.

This is a misconception. That a wiki has no uploads enabled does not necessarily mean that there were never uploads and that such a link should not be displayed.

Does not longer calls "My ...", fixed summary

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2016, 6:25 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptMar 10 2016, 6:28 PM

Requested project in T129595, requested security review in T129609

Change 276836 had a related patch set uploaded (by Rillke):
UploadsLink: Extension providing links to uploads listings

https://gerrit.wikimedia.org/r/276836

Sorry, I probably should have told you on IRC yesterday that I didn't think you needed to have a new discussion - having a default on gadget that already does it is good enough.

Change 276836 merged by jenkins-bot:
UploadsLink: Extension providing links to uploads listings

https://gerrit.wikimedia.org/r/276836

TheDJ awarded a token.Mar 14 2016, 7:13 PM
Krinkle removed a subscriber: Krinkle.Apr 1 2016, 10:23 PM
Restricted Application added a subscriber: Pokefan95. · View Herald TranscriptApr 22 2016, 5:50 PM
Legoktm closed this task as "Resolved".Wed, May 4, 5:14 PM
Legoktm assigned this task to Rillke.
Legoktm set Security to None.

Add Comment